import { BedrockLlm } from './bedrock-llm';

/**
 * Additional arguments specific to DeepSeek models
 */
export type DeepSeekAdditionalArgs = object;

/**
 * API client for DeepSeek models on AWS Bedrock
 * Extends the base BedrockLlm with DeepSeek-specific functionality
 */
export class DeepSeekLlm extends BedrockLlm<DeepSeekAdditionalArgs> {}
