import { BedrockLlm } from './bedrock-llm';

/**
 * Additional arguments specific to Nova models
 */
export type NovaAdditionalArgs = object;

/**
 * API client for Amazon Nova models on AWS Bedrock
 * Extends the base BedrockLlm with Nova-specific functionality
 */
export class NovaLlm extends BedrockLlm<NovaAdditionalArgs> {}
